---@diagnostic disable: missing-return, lowercase-global
---@meta

---@param t table
---@return function iterator
---@return table t
---@return number index
---Returns an iterator function for a table. Return values are such that the construction  for k,v in pairs(t)   -- body  end will iterate over all key/value pairs in the table.
function pairs(t) end
